com.rs.xbrl

## Class GenerationContext

- java.lang.Object
- - com.rs.xbrl.GenerationContext

-     public class GenerationContext
      extends java.lang.Object

  This class encapsulates all live objects that belongs to a generation context.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.HashMap<java.lang.String,XMLFragment>` | `aspects` The aspects.
    `java.util.HashMap<java.lang.String,XBRLAttribute>` | `attributes` The attributes.
    `DTSContainer` | `dts` The dts.
    `java.util.HashMap<java.lang.String,XMLFragment>` | `elements` The elements.
    `java.net.URI` | `excelURI` This is the Excel Source URI
    `XBRLExtendedLink` | `exlb` The exlb.
    `XBRLNamespaceContext` | `globalNamespaces` These are namespaces in the scope of a document.
    `java.util.Hashtable<java.lang.String,javax.xml.namespace.QName>` | `globalQNames` There are names assigned to QNames.
    `ExcelSheetPoint` | `instructionPoint` The instruction point.
    `XBRLLinkbase` | `lb` The lb.
    `int` | `phase` Indicates the phase the taxonomy builder is running.
    `GeneralVariablesTable` | `processedGeneralVariablesTable` The processed general variables table.
    `ParametersTable` | `processedParametersTable` Those two only exists during the evaluation of a single FORMULALINK instruction.
    `java.util.Properties` | `props` The props.
    `java.util.Stack<ExcelSheetPoint>` | `subroutineStack` Used to store the SheetPoint where processor must jump once ENDCALL instruction is found after a CALL instruction
    `java.util.HashMap<java.lang.String,FallbackValuesTable>` | `tablesOfFallbackValues` This is where all fall back value tables are stored by name.
    `TaxonomyBuilder` | `tb` The tb.
    `XBRLTaxonomy` | `tx` The tx.
    `java.util.HashMap<java.lang.String,FLQnameXpathTable>` | `unitMeasures` The unit measures.
    `org.apache.poi.ss.usermodel.Workbook` | `wb` The wb.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerationContext()`
    `GenerationContext(GenerationContext other)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tb

          public TaxonomyBuilder tb

      The tb.

    - #### props

          public java.util.Properties props

      The props.

    - #### dts

          public DTSContainer dts

      The dts.

    - #### tx

          public XBRLTaxonomy tx

      The tx.

    - #### lb

          public XBRLLinkbase lb

      The lb.

    - #### exlb

          public XBRLExtendedLink exlb

      The exlb.

    - #### instructionPoint

          public ExcelSheetPoint instructionPoint

      The instruction point.

    - #### wb

          public org.apache.poi.ss.usermodel.Workbook wb

      The wb.

    - #### processedParametersTable

          public ParametersTable processedParametersTable

      Those two only exists during the evaluation of a single FORMULALINK instruction.

    - #### processedGeneralVariablesTable

          public GeneralVariablesTable processedGeneralVariablesTable

      The processed general variables table.

    - #### phase

          public int phase

      Indicates the phase the taxonomy builder is running. Phase 1 is Cleaning files Phase 2 is Loading DTS Phase 3 is Creating new DTS

    - #### aspects

          public java.util.HashMap<java.lang.String,XMLFragment> aspects

      The aspects.

    - #### unitMeasures

          public java.util.HashMap<java.lang.String,FLQnameXpathTable> unitMeasures

      The unit measures.

    - #### attributes

          public java.util.HashMap<java.lang.String,XBRLAttribute> attributes

      The attributes.

    - #### elements

          public java.util.HashMap<java.lang.String,XMLFragment> elements

      The elements.

    - #### tablesOfFallbackValues

          public java.util.HashMap<java.lang.String,FallbackValuesTable> tablesOfFallbackValues

      This is where all fall back value tables are stored by name. They are all global.

    - #### excelURI

          public java.net.URI excelURI

      This is the Excel Source URI

    - #### globalNamespaces

          public XBRLNamespaceContext globalNamespaces

      These are namespaces in the scope of a document.

    - #### globalQNames

          public java.util.Hashtable<java.lang.String,javax.xml.namespace.QName> globalQNames

      There are names assigned to QNames.

    - #### subroutineStack

          public java.util.Stack<ExcelSheetPoint> subroutineStack

      Used to store the SheetPoint where processor must jump once ENDCALL instruction is found after a CALL instruction

  - ### Constructor Detail

    - #### GenerationContext

          public GenerationContext()

    - #### GenerationContext

          public GenerationContext(GenerationContext other)